- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ip_hdr Struct Reference

`#include <ip.h>`

## Public Member Functions
| PACK_STRUCT_FIELD (struct ip_addr dest)
| PACK_STRUCT_FIELD (struct ip_addr src)
| PACK_STRUCT_FIELD (uInt16 _chksum)
| PACK_STRUCT_FIELD (uInt16 _ttl_proto)
| PACK_STRUCT_FIELD (uInt16 _offset)
| PACK_STRUCT_FIELD (uInt16 _id)
| PACK_STRUCT_FIELD (uInt16 _len)
| PACK_STRUCT_FIELD (uInt16 _v_hl_tos)
## Data Fields
ip_addr src | dest
u8_t | flow1:4
u16_t | flow2
u8_t | hoplim
u16_t | len
u8_t | nexthdr
u8_t | tclass1:4
u8_t | tclass2:4
u8_t | v:4

## Detailed Description

Definition at line 72 of file ip.h.

## Member Function Documentation

ip_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | dest | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | src | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _chksum | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _ttl_proto | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _offset | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _id | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _len | ) |

ip_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _v_hl_tos | ) |

## Field Documentation

struct ip_addr src ip_hdr::dest

Definition at line 74 of file ip.h.

u8_t ip_hdr::flow1

Definition at line 65 of file ip.h.

u16_t ip_hdr::flow2

Definition at line 70 of file ip.h.

u8_t ip_hdr::hoplim

Definition at line 73 of file ip.h.

u16_t ip_hdr::len

Definition at line 71 of file ip.h.

u8_t ip_hdr::nexthdr

Definition at line 72 of file ip.h.

u8_t ip_hdr::tclass1

Definition at line 64 of file ip.h.

u8_t ip_hdr::tclass2

Definition at line 65 of file ip.h.

u8_t ip_hdr::v

Definition at line 64 of file ip.h.

The documentation for this struct was generated from the following files:

- src/sys/include/net/ipv4/ip.h
- src/sys/include/net/ipv6/ip.h